﻿using Dark.Net;
using System;
using System.Windows.Forms;

namespace LocalYuuPic
{
    internal static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            var dn = DarkNet.Instance;
            dn.SetCurrentProcessTheme(Theme.Auto);

            var theme = dn.EffectiveCurrentProcessThemeIsDark ? Theme.Dark : Theme.Light;

            var mf = new MainForm();
            dn.SetWindowThemeForms(mf, theme);

            Application.Run(mf);
        }
    }
}
